org.keycloak.partialimport

## Enum ResourceType

- java.lang.Object
- - java.lang.Enum<ResourceType>
  - - org.keycloak.partialimport.ResourceType

- All Implemented Interfaces:
    Serializable, Comparable<ResourceType>

      public enum ResourceType
      extends Enum<ResourceType>

  Enum for each resource type that can be partially imported.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT`
    `CLIENT_ROLE`
    `GROUP`
    `IDP`
    `REALM_ROLE`
    `USER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPath()` Used to create the admin path in events.
    `String` | `toString()`
    `static ResourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USER

          public static final ResourceType USER

    - #### GROUP

          public static final ResourceType GROUP

    - #### CLIENT

          public static final ResourceType CLIENT

    - #### IDP

          public static final ResourceType IDP

    - #### REALM_ROLE

          public static final ResourceType REALM_ROLE

    - #### CLIENT_ROLE

          public static final ResourceType CLIENT_ROLE

  - ### Method Detail

    - #### values

          public static ResourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceType c : ResourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPath

          public String getPath()

      Used to create the admin path in events.
      Returns:
        The resource portion of the path.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ResourceType>`

Copyright © 2020 JBoss by Red Hat. All rights reserved.